// TestApp.cpp : Defines the entry point for the console application.

#include "stdafx.h"

#include <windows.h>

#include "MORPHPRG.H"

int _tmain(int argc, _TCHAR* argv[])
{
  MP_STATUS Status = MP_SUCCESS;
  char szDeviceName[50];
  DWORD dwDeviceNamesReturned = 0;
  char szSerialNumber[50];
  DWORD dwSerialNumbersReturned = 0;
  MP_HANDLE mpHandle;
  BOOL bProgramState;
  char szDllVersion[10];
  char szErrorMessage[100];

  Status = GetNumMorphICDevices(&dwDeviceNamesReturned);

  if ((Status == MP_SUCCESS) && (dwDeviceNamesReturned > 0))
  {
    Status = GetMorphICDeviceName(1, szDeviceName, 50);

    if (Status == MP_SUCCESS)
    {
      Status = GetNumMorphICDeviceSerialNumbers(szDeviceName, &dwSerialNumbersReturned);

      if ((Status == MP_SUCCESS) && (dwSerialNumbersReturned > 0))
      {
        if (dwSerialNumbersReturned == 1)
        {
          Status = GetMorphICDeviceSerialNumber(szDeviceName, 0, szSerialNumber, 50);

          if (Status == MP_SUCCESS)
          {
            Status = OpenSpecifiedMorphICDevice(szDeviceName, szSerialNumber, &mpHandle);
            //Status = OpenMorphICDevice(&mpHandle);
			if (Status == MP_SUCCESS)
			{
			printf("Device open \n"); 
			} else printf("Device failed to open \n"); 
          }
        }
        else
        {
          if (dwSerialNumbersReturned == 2)
          {
            Status = GetMorphICDeviceSerialNumber(szDeviceName, 1, szSerialNumber, 50);

            if (Status == MP_SUCCESS)
            {
				if (Status == MP_SUCCESS)
				{
					printf(szSerialNumber); 
				}
              Status = OpenSpecifiedMorphICDevice(szDeviceName, szSerialNumber, &mpHandle);
              //Status = OpenMorphICDevice(&mpHandle);
            }
          }
        }

        if (Status == MP_SUCCESS)
        {
          Status = IsMorphICDeviceProgrammed(mpHandle, &bProgramState);

          if (Status == MP_SUCCESS)
          Status = ProgramMorphICDevice(mpHandle, "morphio50m_Mii.RBF");
		  if (Status == MP_SUCCESS)
		  {
			printf("Device programmed");
		  }
		  else printf(" failed to program the device");

          CloseMorphICDevice(mpHandle);
        }

        if (Status == MP_SUCCESS)
          Status = GetMorphICDllVersion(szDllVersion, 10);
      }
    }
  }

  if (Status != MP_SUCCESS)
    Status = GetMorphICErrorCodeString("EN", Status, szErrorMessage, 100);
getchar();
	return 0;
	
}

